Ask / Submit
4

3.0.3.9 - Blank e-mail [answered]

asked 2019-04-26 10:44:52 +0300

kayoux gravatar image

updated 2019-05-13 15:16:38 +0300

lunatix gravatar image

If I click on an e-mail to read it, the app display a blank screen with the "loading cyrcle". The pulley-menu is lock. It happens since the 3.0.3.8 upgrade.

EDIT by lunatix: I took the liberty to re-open this question since I have the exact same issue on my Xperia X with Hossa and the answer proposed did not fixed anything. Any idea?

edit retag flag offensive reopen delete

The question has been closed for the following reason "the question is answered, an answer was accepted" by lunatix
close date 2019-05-13 20:10:48.731547

Comments

2 Answers

Sort by » oldest newest most voted
2

answered 2019-04-26 11:01:51 +0300

Kopekenscheich gravatar image

Happened to me. Had to remove llelectronic's qt libs for Webcat and install Jolla 's standard issues again.

edit flag offensive delete publish link more

Comments

Thank @Kopekenscheich. I don't have webcat insatalled, but can you explain to me how I can verify that I have standard libs and if not how I can reisntal it?

kayoux ( 2019-04-26 11:16:19 +0300 )edit
1

how I can verify that I have standard libs

zypper info libqtwebkit5 and pay attention to the Repositroy : line. (I have no idea how to do it on the stock pkcon command).

if not how I can reisntal it?

To remove it :

  • remove the repository from the active list (either in Storeman, or zypper repos to see the list and then e.g. zypper removerepo openrepos-llelectronicsdev)
  • then you can either

    • force zypper to install a specific version zypper install libqtwebkit5-5.6.2+git8-1.5.1.jolla
    • or try to some zypper-fu zypper dup --no-allow-vendor-change

      This asks zypper to upgrade everything (including deleting deprecated packages to satisfy dependencies, etc.) to the latest version BUT keeping the same vendors (so jolla applications are still installed from jolla's repository). Because you've removed the community repository containing the incompatible upgrades, zypper can't satisfy your request and asks how to proceed: one of the choices on the list will be something similar to vendor change openrepos-llelectronicsdev -> jolla, that's the one you need.

DrYak ( 2019-04-26 11:48:05 +0300 )edit

Thanks @DrYak my problem is solved

kayoux ( 2019-04-27 21:32:52 +0300 )edit
0

answered 2019-05-13 15:12:46 +0300

lunatix gravatar image

updated 2019-05-13 15:14:49 +0300

Hello,

I have the same issue since 3.0.3.9 (Hossa) on my Xperia X. I have followed DrYak's recommandation but it did not solve anything.

I don't have webcat

libqtwebkit5-5.6.2+git8-1.5.1.jolla is already the version installed on my Xperia X

Any idea?

Regards

edit flag offensive delete publish link more

Comments

1

The five packages I needed to re-install in order to make eMail, SailBook etc. work again are:

  • libqtwebkit5
  • libqtwebkit5-widgets
  • qt5-qml-import-webkitplugin
  • qt5-qml-import-webkitplugin-experimental
  • qt5-qtwebkit-uiprocess-launcher

Install those from the official repositories using zypper or pkcon.

Kopekenscheich ( 2019-05-13 19:36:06 +0300 )edit

And now it works! Thank you very much!!

lunatix ( 2019-05-13 20:10:39 +0300 )edit

Question tools

Follow
2 followers

Stats

Asked: 2019-04-26 10:44:52 +0300

Seen: 384 times

Last updated: May 13